@keyframes fsmAnimationColorFade {
    0% { background-position: 0% 50%; }
    50% { background-position: 100% 50%; }
    100% { background-position: 0% 50%; }
}

.fsm-card {
    overflow: hidden;
    padding: 0;
    position: relative;
    border: 1px solid var(--text-color);
    border-radius: 15px;
    max-width: 1250px;
    margin: 0px auto;
    box-sizing: border-box;
    transition-duration: 150ms;
    width: 100%;
}

.fsm-card * {
    box-sizing: border-box;
}

.fsm-card:hover {
    box-shadow: 0px 0px 15px rgba(35, 35, 35, 0.35);
}

.fsm-card:hover .fsm-card-header {
    animation: fsmAnimationColorFade 4s ease infinite;
}

.fsm-card > img {
    width: 100%;
    height: auto;
    max-height: 300px;
}

.fsm-card-header {
    background: linear-gradient(-45deg, var(--primary-color), var(--secondary-color), var(--primary-color));
    background-size: 200% 200%;
    max-height: 75px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    box-shadow: 0px 10px 20px rgba(0, 0, 0, .25);
    z-index: 100;
    padding: 0.7rem 1.5rem;
}

.fsm-card-header > img {
    max-width: 35px;
    max-height: 35px;
}

.fsm-card-header > span {
    max-width: 50px !important;
    max-height: 50px !important;
    font-family: Inter-Bold !important;
    font-size: 25px !important;
    color: var(--bg-color) !important;
    opacity: 75% !important;
}

.fsm-card-shape {
    width: 50px;
    height: 50px;
    position: absolute;
    bottom: -25px;
    right: -25px;
    transform: rotate(45deg);
    background-color: var(--primary-color);
}

.fsm-card-body {
    padding: 1.5rem;
    display: flex;
    flex-direction: column;
    column-gap: 1.5rem;
}

.fsm-card-body li {
    list-style: none;
    padding: 0.5rem 0;
    font-family: Inter-Regular;
    color: var(--text-color);
    opacity: .75;
    transition-duration: 150ms;
}

.fsm-card-body li a:visited {
    opacity: .75;
    color: var(--text-color);
}

.fsm-card-body li a:hover {
    color: var(--primary-color);
    opacity: 1;
    cursor: pointer;
}

.fsm-card-body span {
    color: var(--text-color);
    opacity: .5;
    margin: 0;
    padding: 0;
    font-family: Inter-Light;
    font-size: 1.2rem;
}

.fsm-card-body h3 {
    color: var(--text-color);
    margin: 0;
    padding: 0;
    font-family: Inter-SemiBold;
    font-size: 1.5rem;
    width: 100%;
    margin-bottom: 10px;
}

.fsm-card-body p {
    color: var(--text-color);
    opacity: .75;
    margin: 0;
    padding: 0;
    font-family: Inter-SemiBold;
    width: 100%;
    max-height: 100px;
    overflow: hidden;
}

.fsm-card-split {
    display: grid;
    grid-template-columns: 40% 60%;
    gap: 15px;
    padding: 10px;
}

.fsm-card-split-vertical {
    display: flex;
    flex-direction: column;
    gap: 15px;
    padding: 10px;
}

.fsm-card-split-50 {
    display: grid;
    grid-template-columns: 50% 50%;
}

.fsm-card-split-40 {
    display: grid;
    grid-template-columns: 40% 60%;
}

.fsm-card-split-75 {
    display: grid;
    grid-template-columns: 25% 75%;
}

.fsm-card-split-10 {
    display: grid;
    grid-template-columns: 10% 90%;
}


.fsm-card-footer {
    background-color: var(--bg-color);
    padding: 1rem;
    display: flex;
    align-items: center;
    margin-top: auto;
}

/*---------- RESPONSIVE --------*/

/* Mobile */
@media (max-width: 576px) { 
    .fsm-card-body {
        padding: 5px !important;
    }

    .fsm-card-split {
        grid-template-columns: 1fr !important;
    }

    .fsm-card-split > div > img {
        display: none !important;
    }

    .fsm-card-split-50 {
        grid-template-columns: 1fr !important;
    }
}

/* Tablet */
@media (min-width: 577px) and (max-width: 768px) {
    .fsm-card-split-50 {
        grid-template-columns: 1fr !important;
    }

    
}

/* Laptops */
@media (min-width: 769px) and (max-width: 992px) {   }
